#========================================================================================
# package      DE_EPAGES::LeguideCom::API::Attributes::LeguideComConfig_Ext
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Attribute interface for LeguideComConfig.
#========================================================================================
package DE_EPAGES::LeguideCom::API::Attributes::LeguideComConfig_Ext;
use base qw (DE_EPAGES::Object::API::BaseAttribute);

use strict;
use DE_EPAGES::Core::API::File qw (ConvertPathChars);

#========================================================================================
# function     getAttributes
# state        private
# syntax       $Value = $Object->get($AttributeName);
#========================================================================================
sub getAttributes {
    shift;
    my ($Object, $aNames) = @_;
    my $hInfo = {};
    foreach my $Name ( @$aNames) {
        if ($Name eq 'ExportFileName' ) {
            $hInfo->{$Name} = 'Kelkoo_' . ConvertPathChars($Object->getSite()->alias) . '_' . $Object->get('PortalSite')->get('LocaleID') . '.csv';
        }
    }
    return $hInfo;
}

1;
